ACPI_BUS_REGISTE(9)

NAME
acpi_bus_register_driver - register a driver with the ACPI bus

SYNOPSIS

int acpi_bus_register_driver (struct acpi_driver * driver);

ARGUMENTS

driver
    driver being registered

DESCRIPTION

Registers a driver with the ACPI bus. Searches the namespace for all devices that match the driver's criteria and binds. Returns the number of devices that were claimed by the driver, or a negative error status for failure.